/// <reference types="node" />
import { PlatformAccessory } from 'homebridge';
import { JeeLinkPlugin } from '../platform';
import { LaCrosseDTAccessoryBase } from './LaCrosseDTAccessoryBase';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class LaCrosseDTHAccessory extends LaCrosseDTAccessoryBase {
    private humidityService;
    constructor(platform: JeeLinkPlugin, accessory: PlatformAccessory);
    updateData(data: any, buf: Buffer): void;
    getCurrentHumidityDataValues(callback: (_foo: any, _humidity: any, _data: any) => void): void;
}
//# sourceMappingURL=LaCrosseDTHAccessory.d.ts.map