/**
 * jeelink Platform Plugin for HomeBridge (https://github.com/nfarina/homebridge)
 *
 * Based up on the protocol implementation by: @foxthefox
 * https://github.com/foxthefox/ioBroker.jeelink / https://github.com/foxthefox/ioBroker.jeelink/blob/master/jeelink.js
 *
 * @url https://github.com/gamma/homebridge-jeelink
 * @author Gerry Weißbach
 * @license MIT
 */
/// <reference types="node" />
import { PlatformAccessory } from 'homebridge';
import { JeeLinkPlugin } from '../platform';
import { LaCrosseDTHAccessory } from '../accessories/LaCrosseDTHAccessory';
export declare class LaCrosseDTHParser {
    private readonly platform;
    private readonly Service;
    private readonly Characteristic;
    private readonly log;
    private readonly type;
    constructor(platform: JeeLinkPlugin);
    parseValue(input: Buffer): void;
    getOrCreateDevice(id: number, type: number): import("../accessories/LaCrosseDTAccessoryBase").LaCrosseDTAccessoryBase | null;
    configure(accessory: PlatformAccessory): LaCrosseDTHAccessory;
}
//# sourceMappingURL=LaCrosseDTH.d.ts.map